package com.goldencode.testcases.dmo.p2j_test;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table <code>p2j_test.`cs_test`</code>
 * (previously <code>p2j_test.cs-test</code>).
 */
public interface CsTest
extends DataModelObject
{
   /**
    * Getter: Character
    * 
    * @return  Character
    */
   public character getTest();

   /**
    * Setter: Character
    * 
    * @param   test
    *          Character
    */
   public void setTest(Text test);

   /**
    * Getter: Position
    * 
    * @return  Position
    */
   public integer getPos();

   /**
    * Setter: Position
    * 
    * @param   pos
    *          Position
    */
   public void setPos(NumberType pos);

   /**
    * DMO interface for use by converted business logic.
    */
   public static interface Buf
   extends CsTest, Buffer
   {
   }
}
